Skip to main content
GET
/
notes
/
{note_id}
/
mappings
Get Note Mappings
curl --request GET \
  --url https://api.decodahealth.com/notes/{note_id}/mappings \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
{
  "noteId": "<string>",
  "mappings": [
    {
      "answer": {
        "id": "<string>",
        "noteId": "<string>",
        "questionId": "<string>",
        "data": {},
        "createdDate": "2023-11-07T05:31:56Z"
      },
      "question": {
        "id": "<string>",
        "templateId": "<string>",
        "position": 123,
        "questionType": "ADDRESS",
        "required": true,
        "data": {},
        "isArchived": false,
        "mappingKey": "first_name",
        "dynamicFieldId": "<string>",
        "dynamicFieldName": "<string>"
      },
      "mappingKey": "first_name",
      "mappedValue": "<unknown>"
    }
  ]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

note_id
string
required

Response

Successful Response

Response containing all answers with mappings for a note.

noteId
string
required
mappings
NoteAnswerWithMapping · object[]
required